---
updatedAt: 2026-05-04T19:18:29.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Get Pix transaction by end-to-end ID

Retrieve transaction information given an `end-to-end` value in the path.

**Note:** This endpoint takes an account token - an access token encoded with a Pismo accound ID.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix payments",
    "description": "API to handle Pix transactions",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Sandbox API server for testing instant pull pay."
    }
  ],
  "tags": [
    {
      "name": "Pix"
    }
  ],
  "components": {
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "EndToEndIDpath": {
        "name": "end_to_end_id",
        "in": "path",
        "description": "Transaction end-to-end ID. This field is a Brazil Central Bank (BCB) requirement to track all Pix transaction steps.",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "AccountID": {
        "type": "integer",
        "description": "Pismo account ID.",
        "example": 5869300
      },
      "AccountNumber": {
        "type": "string",
        "description": "Account number.",
        "maxLength": 20,
        "example": "98765432"
      },
      "AccountType": {
        "type": "string",
        "enum": [
          "CACC",
          "SLRY",
          "SVGS",
          "TRAN"
        ],
        "maxLength": 4,
        "description": "Account type:  <br />\n  `CACC` - Checking/current account.  Known as \"conta corrente\" in Portuguese, this is a bank account type designed for everyday financial transactions and is the most common type individuals and businesses use for day-to-day banking.<br />\n  `SVGS` - Savings account<br />\n  `TRAN` - Payment account. Payment institutions offer payment accounts to move funds and make payments, while banks offer checking accounts that include full financial services such as credit and investments.<br />\n  `SLRY` - Salary account. Employer deposits a fixed amount every month.<br />\n",
        "example": "TRAN"
      },
      "Amount": {
        "type": "number",
        "description": "Amount to be transferred.",
        "example": 1050.44
      },
      "AuthorizationID": {
        "type": "integer",
        "description": "Generated authorization ID on P2P",
        "example": 82725717
      },
      "Branch": {
        "type": "string",
        "description": "This could be a bank-assigned branch ID or the branch's ISPB number.",
        "maxLength": 4,
        "example": "011"
      },
      "ClientRequestID": {
        "description": "For Pix-out, this is the client-generated ID used for idempotency.\nFor Pix-in, this is the confirmation request ID the provider received.\n",
        "type": "string",
        "example": "b84da2fc-dd63-4c6c-a346-797b65f334c7"
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "DiscountValue": {
        "type": "number",
        "description": "Discount value.",
        "example": 0.15
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a Social Security number (US) or Cadastro de Pessoas Físicas number (Brazil). Must be numeric with 11-14 digits.\n",
        "minLength": 1,
        "maxLength": 14,
        "example": "123412341234"
      },
      "EndToEndID": {
        "type": "string",
        "description": "This field is a Brazil Central Bank (BCB) requirement to track all steps of Pix transactions. \nBasically, there are two steps to a Pix transaction:\n    1. Initialize a transaction \n    2. Confirm a transaction\nThe `end_to_end_id` is sent to the BCB in both steps in order to identify all transaction information. \n",
        "example": "E3030629420200808195101608910248"
      },
      "FineValue": {
        "type": "number",
        "description": "Fine value.",
        "example": 5.15
      },
      "InitialAmount": {
        "type": "string",
        "description": "The initial purchase price amount before charges or withdrawal changes.",
        "example": "10.02"
      },
      "InitiationType": {
        "type": "string",
        "enum": [
          "MANUAL",
          "DICT",
          "STATIC_QRCODE",
          "DYNAMIC_QRCODE",
          "PAYMENT_INITIATOR",
          "AUTOMATIC_PIX",
          "DYNAMIC_PROXIMITY_PIX",
          "STATIC_PROXIMITY_PIX"
        ],
        "maxLength": 20,
        "description": "Initiation type:  \n\n  `MANUAL` - Manually initiated. Key is not used - bank account, bank code, document number, and branch are used for identification.\n\n  `DICT` - Diretorio de Identificadores de Contas de Transacapo (Transaction accounts ID directory). Pix/DICT key is used for identification.\n\n  `STATIC_QRCODE` - Reusable code that contains only the data necessary to complete a transaction. When using static QR Code, the transaction amount must be provided manually.\n\n  `DYNAMIC_QRCODE` - The amount and other details for a dynamic code are included automatically. \n  \n  `PAYMENT_INITIATOR` - Payment provider initiated. A payment initiator is a 3rd party that has obtained authorization from the Central Bank and has an <a href=\"https://www.bcb.gov.br/en/financialstability/open_finance\" target=\"_blank\">Open Finance</a> certification.\n\n  `AUTOMATIC_PIX` - Payment order initiated via automatic PIX.\n  \n  `DYNAMIC_PROXIMITY_PIX` - Dynamic Near Field Communications (NFC) based initiation.\n\n  `STATIC_PROXIMITY_PIX` - Static NFC-based initiation.\n",
        "example": "DICT"
      },
      "InterestValue": {
        "type": "number",
        "description": "Interest value.",
        "example": 20.15
      },
      "Internal": {
        "type": "boolean",
        "description": "Was transaction made between a Pismo organization's accounts? In this case, the instant payment system is not called.",
        "example": false
      },
      "ISPB": {
        "type": "string",
        "description": "<a href=\"https://bank.codes/numero-do-banco/bank/banco-central-do-brasil/\" target=\"_blank\">ISPB (Identifcador do Sistema de Pagamento Brazil)</a> - the Brazilian Payment System ID, an 8-digit value.",
        "maxLength": 8,
        "example": "60701190"
      },
      "Name": {
        "type": "string",
        "description": "Name",
        "maxLength": 200,
        "example": "Walter Melon"
      },
      "pix.TransactionCharge": {
        "type": "object",
        "properties": {
          "discount_value": {
            "$ref": "#/components/schemas/DiscountValue"
          },
          "fine_value": {
            "$ref": "#/components/schemas/FineValue"
          },
          "interest_value": {
            "$ref": "#/components/schemas/InterestValue"
          },
          "settlement_value": {
            "type": "number",
            "description": "Settlement value"
          }
        }
      },
      "pix.TransactionDates": {
        "type": "object",
        "properties": {
          "created_datetime": {
            "type": "string",
            "description": "Date/time created on Pismo platform. RFC 3339 format.",
            "example": "2021-10-11T19:01:43.392Z"
          },
          "psp_transaction_created_at": {
            "type": "string",
            "description": "PSP-generated transaction date/time. If not passed, Pismo generates this field upon request. RFC 3339 format.",
            "example": "2021-10-12T19:01:43.392Z"
          },
          "received_datetime": {
            "type": "string",
            "description": "Date/time when Pismo received request.",
            "example": "2021-10-12T19:01:43.392Z"
          },
          "updated_datetime": {
            "type": "string",
            "description": "Last update date/time. RFC 3339 format.",
            "example": "2021-10-12T19:01:43.392Z"
          }
        }
      },
      "pix.TransactionExternalAccount": {
        "type": "object",
        "properties": {
          "bank_account": {
            "$ref": "#/components/schemas/pix.TransactionExternalBankAccount"
          },
          "document": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          }
        }
      },
      "pix.TransactionExternalBankAccount": {
        "type": "object",
        "description": "Bank account details.",
        "required": [
          "account_number",
          "account_type",
          "branch"
        ],
        "properties": {
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber"
          },
          "account_type": {
            "$ref": "#/components/schemas/AccountType"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          }
        }
      },
      "pix.TransactionWithDetailResponse": {
        "type": "object",
        "properties": {
          "end_to_end_id": {
            "$ref": "#/components/schemas/EndToEndID"
          },
          "org_id": {
            "type": "string",
            "description": "Organization/tenant ID.",
            "example": "TN-1234..."
          },
          "account_id": {
            "$ref": "#/components/schemas/AccountID"
          },
          "ispb": {
            "$ref": "#/components/schemas/ISPB"
          },
          "type": {
            "$ref": "#/components/schemas/PixOutType"
          },
          "transaction_type": {
            "$ref": "#/components/schemas/TransactionType"
          },
          "initiation_type": {
            "$ref": "#/components/schemas/InitiationType"
          },
          "status": {
            "$ref": "#/components/schemas/TransactionStatus"
          },
          "correlation_id": {
            "type": "string",
            "description": "Correlation tracking ID (CID)",
            "example": "8675309"
          },
          "authorization_id": {
            "$ref": "#/components/schemas/AuthorizationID"
          },
          "client_request_id": {
            "$ref": "#/components/schemas/ClientRequestID"
          },
          "payee": {
            "$ref": "#/components/schemas/pix.TransactionExternalAccount"
          },
          "payer": {
            "$ref": "#/components/schemas/pix.TransactionExternalAccount"
          },
          "initiator_document_number": {
            "type": "string",
            "description": "Payment initiator document number when `type` is `PAYMENT_INITIATOR`",
            "maxLength": 14,
            "example": "12345678900"
          },
          "initial_amount": {
            "$ref": "#/components/schemas/InitialAmount"
          },
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "internal": {
            "$ref": "#/components/schemas/Internal"
          },
          "additional_description": {
            "type": "string",
            "description": "Additional description",
            "example": "Charge #1"
          },
          "qr_code_additional_information": {
            "$ref": "#/components/schemas/QRcodeAddInfo"
          },
          "transaction_identification": {
            "$ref": "#/components/schemas/TransactionID"
          },
          "reason": {
            "$ref": "#/components/schemas/ReversalReason"
          },
          "external_id": {
            "type": "string",
            "description": "Provider external ID",
            "example": "1236723"
          },
          "external_movement_id": {
            "type": "string",
            "description": "Provider external movement identification",
            "example": "12345678"
          },
          "migration_id": {
            "type": "string",
            "description": "Transaction migration ID (if migrated).",
            "example": "c80118a7-7cef-4378-a3be-e0e28efbf150"
          },
          "charges": {
            "$ref": "#/components/schemas/pix.TransactionCharge"
          },
          "dates": {
            "$ref": "#/components/schemas/pix.TransactionDates"
          },
          "taxes": {
            "$ref": "#/components/schemas/Taxes"
          }
        }
      },
      "PixOutType": {
        "type": "string",
        "description": "Pix transaction type.",
        "enum": [
          "PIX-IN",
          "PIX-OUT",
          "PIX-IN-REVERSAL",
          "PIX-OUT-REVERSAL"
        ],
        "example": "PIX-IN"
      },
      "QRcodeAddInfo": {
        "type": "array",
        "description": "Additional QR Code information.",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "QR Code name",
              "example": "Discount"
            },
            "value": {
              "type": "string",
              "description": "QR Code value",
              "example": "Paying until the 5th, there will be a 10% discount"
            }
          }
        }
      },
      "Records": {
        "type": "object",
        "properties": {
          "tax_type": {
            "$ref": "#/components/schemas/TaxType"
          },
          "amount": {
            "$ref": "#/components/schemas/TaxAmount"
          }
        }
      },
      "ReversalReason": {
        "type": "string",
        "description": "Reversal reason.",
        "enum": [
          "USER_REQUESTED",
          "FRAUD",
          "BANK_ERROR"
        ],
        "example": "USER_REQUESTED"
      },
      "TaxAmount": {
        "type": "number",
        "description": "Tax amount. Must be greater than zero.",
        "example": 1050.44
      },
      "Taxes": {
        "type": "object",
        "description": "Only available in the test environment for direct participants. Tax information related to the transaction.\n",
        "properties": {
          "tax_identifier": {
            "$ref": "#/components/schemas/TaxIdentifier"
          },
          "records": {
            "type": "array",
            "description": "Tax record types information. You must pass, at a minimum, 2 objects - at least one with `CBS` tax type and at least one with `IBS` tax type.\n",
            "items": {
              "$ref": "#/components/schemas/Records"
            }
          }
        }
      },
      "TaxIdentifier": {
        "type": "string",
        "description": "Tax identifier, referring to the NFe, NFSe or aggregating tax document. \n\nIn Brazil, NF-e and NFS-e are the two primary types of mandatory electronic invoices (Notas Fiscais) used for tax compliance.\n\n * NF-e (Nota Fiscal Eletrônica): Used for the sale and movement of physical goods or products. It is regulated at the state level by SEFAZ (SEFAZ (Secretaria da Fazenda) is the State Department of Finance in Brazil.) and travels with the goods.\n\n * NFS-e (Nota Fiscal de Serviços Eletrônica): Used for the provision of services (e.g., consulting, repairs, digital subscriptions). It is regulated by individual city governments.\n\nThe value entered must correspond to the tax document used for calculating the IBS and CBS taxes associated with the transaction.\n",
        "example": "IS0435879820240605bcdb1fhn43a",
        "maxLength": 50
      },
      "TaxType": {
        "type": "string",
        "description": "Tax type:\n\n `IBS` = Goods and services tax. A state and municipal tax that unifies and replaces the main subnational consumption taxes (state ICMS and municipal ISS).\n\n`CBS` = Contribution on goods and services. A federal tax that consolidates and replaces previous federal social contributions and taxes (PIS, Cofins, and IPI).\n",
        "example": "IBS",
        "enum": [
          "CBS",
          "IBS"
        ]
      },
      "TransactionID": {
        "type": "string",
        "description": "This field is returned from the [Validate QR Code](https://developers.pismo.io/pismo-docs/reference/post-qr-code) endpoint.\n\nTransaction ID is **REQUIRED** when `initiation_type` is `DYNAMIC_QRCODE` and should not be passed otherwise. If a `STATIC_QRCODE` contains the transaction identification, it is also **REQUIRED** to pass it. \n",
        "example": "1a84daf6-a61b-4aba-919a-a9943db7102e"
      },
      "TransactionStatus": {
        "type": "string",
        "description": "Current transaction status:\n\n  * `VALIDATED` - Payload was validated and sent to provider\n    \n  * `PROCESSING` - Waiting response from the provider\n    \n  * `SETTLED` - Transaction confirmed\n    \n  * `CANCELLED` - Transaction cancelled\n    \n  * `ERROR` - Transaction error during processing\n",
        "enum": [
          "PROCESSING",
          "VALIDATED",
          "SETTLED",
          "CANCELLED",
          "ERROR"
        ],
        "example": "PROCESSING"
      },
      "TransactionType": {
        "type": "string",
        "description": "Type of transaction the QR Code validation generates.\n* `TRANSFER` - Standard immediate transfer payment. \n* `CHANGE` - Occurs when the QR Code validation returns `CHANGE`. For example, the customer buys something and pays more than the product value to receive the difference in cash. \n* `WITHDRAWAL` - Occurs when the QR Code validation returns `WITHDRAWAL` with `withdrawal` object values.\n* `REFUND_AUTOMATIC_PIX` - Total or partial to the PSP payer user within the Automatic Pix MED (Pix return mechanism) scope (only when initiated by a `MANUAL`).\n* `REFUND` = Total or partial refund to the paying user within the scope of MED 2.0, when this refund occurs from the PI Account of the user's PSP who participated in the distribution chain of the resources of the original transaction (only when initiated by a `MANUAL`)\n",
        "enum": [
          "TRANSFER",
          "CHANGE",
          "WITHDRAWAL",
          "REFUND_AUTOMATIC_PIX",
          "REFUND"
        ],
        "example": "TRANSFER"
      }
    }
  },
  "paths": {
    "/pix/v1/pix/end-to-end/{end_to_end_id}/transaction": {
      "get": {
        "tags": [
          "Pix"
        ],
        "summary": "Get Pix transaction by end-to-end ID",
        "description": "Retrieve transaction information given an `end-to-end` value in the path.\n\n**Note:** This endpoint takes an account token - an access token encoded with a Pismo accound ID.\n",
        "operationId": "get-transaction-e2e",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/EndToEndIDpath"
          }
        ],
        "responses": {
          "200": {
            "description": "Response Body",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/pix.TransactionWithDetailResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0009": {
                    "summary": "Missing required header: \"x-tenant\"",
                    "value": {
                      "code": "EPIX0009",
                      "message": "Missing required header: \"x-tenant\""
                    }
                  },
                  "EPIX0010": {
                    "summary": "Invalid account id header: \"x-account-id\"",
                    "value": {
                      "code": "EPIX0010",
                      "message": "Invalid account id header: \"x-account-id\""
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0086": {
                    "summary": "Transaction not found.",
                    "value": {
                      "code": "EPIX0086",
                      "message": "Transaction not found."
                    }
                  },
                  "EPIX0087": {
                    "summary": "Pix TransactionDetail not found.",
                    "value": {
                      "code": "EPIX0087",
                      "message": "Pix TransactionDetail not found."
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0004": {
                    "summary": "Internal server error",
                    "value": {
                      "code": "EPIX0004",
                      "message": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```